Skip to main content
POST
/
snapchat
/
scheduled_posts
Create a Snapchat post
curl --request POST \
  --url https://scheduler.dashsocial.com/snapchat/scheduled_posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "approval_requests": [
    {
      "requested_by_user_id": 123,
      "review_user_id": 123
    }
  ],
  "auto_publish": true,
  "board_ids": [
    1
  ],
  "brand_id": 1,
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "description": "<string>",
  "duplicate_to_brand_ids": [
    1
  ],
  "media_ids": [
    1
  ],
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rss_feed_id": 123,
  "rss_guid": "<string>",
  "rss_publish_date": "2023-11-07T05:31:56Z",
  "save_to_profile": true,
  "sort_index": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}
'
{
  "code": 123,
  "errors": {},
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint has platform-specific fields and publishing rules. See the full scheduling guide for a complete walkthrough including media upload, publishing modes, and examples.

Snapchat-specific fields

ParameterDescription
post_typeRequired. STORY or SPOTLIGHT.
descriptionOptional caption text for SPOTLIGHT posts. Not supported for STORY posts.
save_to_profileRequired for SPOTLIGHT. Boolean. Saves the post to the public Snapchat profile.
localeRequired for SPOTLIGHT. Locale for the post, for example en_US.

Publishing modes

Modestatusauto_publishtimestamp
Publish immediatelyAUTOPUBLISHINGtrueNot required
Schedule for laterSCHEDULEDtrueRequired

Example requests

Story
{
  "auto_publish": true,
  "brand_id": 144,
  "status": "SCHEDULED",
  "media_ids": [650029769],
  "timestamp": "2026-03-12T16:05:00.000Z",
  "post_type": "STORY"
}
Spotlight
{
  "brand_id": 144,
  "status": "SCHEDULED",
  "media_ids": [648771867],
  "timestamp": "2026-03-12T18:00:00.000Z",
  "description": "3 quick ways to style oversized sweaters this fall 🍂",
  "post_type": "SPOTLIGHT",
  "save_to_profile": true,
  "locale": "en_US"
}

Notes

  • auto_publish: false is not supported. Always set auto_publish: true.
  • media_ids is required for all Snapchat posts.
  • STORY posts support image or video. description is not available for Story posts.
  • SPOTLIGHT posts require video media. save_to_profile and locale are required.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
post_type
enum<string>
required

The type of Snapchat post (STORY or SPOTLIGHT)

Available options:
STORY,
SPOTLIGHT
approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

auto_publish
boolean

Whether the post should be auto published.

board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
description
string | null

Description for Spotlight posts (max 160 characters)

Maximum string length: 160
duplicate_to_brand_ids
integer[]
write-only

The list of duplicate to brand ids.

Maximum array length: 55
Required range: x >= 0
locale
enum<string> | null

Language and country indicator for Spotlight posts (e.g., en_US)

Available options:
ar_AA,
bn_BD,
bn_IN,
zh_CN,
zh_TW,
da_DK,
nl_NL,
en_GB,
en_US,
fil_PH,
fi_FI,
fr_FR,
de_DE,
el_GR,
gu_IN,
hi_IN,
id_ID,
it_IT,
ja_JP,
kn_IN,
ko_KR,
ms_MY,
ml_IN,
mr_IN,
nb_NO,
pl_PL,
pt_BR,
pt_PT,
pa_IN,
ro_RO,
ru_RU,
es_AR,
es_001,
es_MX,
es_ES,
sv_SE,
ta_IN,
te_IN,
th_TH,
tr_TR,
ur_PK,
vi_VN,
null
media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
post_group_id
string<uuid>

The id of the post group associated with the post.

rss_feed_id
integer | null

Foreign key reference to the RSS feed table.

rss_guid
string | null

The unique identifier coming from RSS Feed.

rss_publish_date
string<date-time> | null

The timestamp of when an RSS feed item was published

save_to_profile
boolean | null

Whether to save the post to profile. Required for Spotlight, None for Story

sort_index
number

The sorted index for unscheduled posts.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

Response

Unprocessable Entity

code
integer

Error code

errors
object

Errors

message
string

Error message

status
string

Error name